# Table of Contents - RDoc Documentation

## Classes and Modules

- DataPoint
- SVG
- SVG::Graph
- SVG::Graph::Bar
  - Create presentation quality SVG bar graphs easily
  - Synopsis
  - Description
  - Notes
  - Examples
  - See also
- SVG::Graph::BarBase
  - Synopsis
  - Author
- SVG::Graph::BarHorizontal
  - Create presentation quality SVG horitonzal bar graphs easily
  - Synopsis
  - Description
  - Examples
  - See also
  - Author
- SVG::Graph::Graph
  - Base object for generating SVG Graphs
  - Synopsis
  - Examples
  - Description
  - Acknowledgements
  - See
  - Author
- SVG::Graph::Line
  - Create presentation quality SVG line graphs easily
  - Synopsis
  - Description
  - Examples
  - Notes
  - See also
  - Author
- SVG::Graph::Pie
  - Create presentation quality SVG pie graphs easily
  - Synopsis
  - Description
  - Examples
  - See also
  - Author
- SVG::Graph::Plot
  - For creating SVG plots of scalar data
  - Synopsis
  - Description
  - Examples
  - Notes
  - See also
  - Author
- SVG::Graph::Schedule
  - For creating SVG plots of scalar temporal data
  - Synopsis
  - Description
  - Examples
  - Notes
  - See also
  - Author
- SVG::Graph::TimeSeries
  - For creating SVG plots of scalar temporal data
  - Synopsis
  - Description
  - Examples
  - Notes
  - See also
  - Author

## Methods

- ::configure_shape_criteria — DataPoint
- ::new — SVG::Graph::BarBase
- ::new — DataPoint
- ::new — SVG::Graph::Graph
- ::new — SVG::Graph::Line
- ::reset_shape_criteria — DataPoint
- #add_data — SVG::Graph::Graph
- #add_data — SVG::Graph::Pie
- #add_data — SVG::Graph::Plot
- #add_data — SVG::Graph::Schedule
- #add_data — SVG::Graph::TimeSeries
- #add_defs — SVG::Graph::Pie
- #add_popup — SVG::Graph::Graph
- #burn — SVG::Graph::Graph
- #calc_coords — SVG::Graph::Line
- #calculate_bottom_margin — SVG::Graph::Graph
- #calculate_left_margin — SVG::Graph::Graph
- #calculate_left_margin — SVG::Graph::Line
- #calculate_left_margin — SVG::Graph::Plot
- #calculate_right_margin — SVG::Graph::Graph
- #calculate_right_margin — SVG::Graph::Plot
- #calculate_top_margin — SVG::Graph::Graph
- #clear_data — SVG::Graph::Graph
- #draw_data — SVG::Graph::Bar
- #draw_data — SVG::Graph::BarHorizontal
- #draw_data — SVG::Graph::Line
- #draw_data — SVG::Graph::Pie
- #draw_data — SVG::Graph::Plot
- #draw_data — SVG::Graph::Schedule
- #draw_graph — SVG::Graph::Graph
- #draw_graph — SVG::Graph::Pie
- #draw_legend — SVG::Graph::Graph
- #draw_titles — SVG::Graph::Graph
- #draw_x_guidelines — SVG::Graph::Graph
- #draw_x_labels — SVG::Graph::Graph
- #draw_y_guidelines — SVG::Graph::Graph
- #draw_y_labels — SVG::Graph::Graph
- #field_height — SVG::Graph::Graph
- #field_height — SVG::Graph::Plot
- #field_width — SVG::Graph::Graph
- #field_width — SVG::Graph::Plot
- #format — SVG::Graph::Plot
- #format — SVG::Graph::Schedule
- #format — SVG::Graph::TimeSeries
- #get_css — SVG::Graph::BarBase
- #get_css — SVG::Graph::Line
- #get_css — SVG::Graph::Pie
- #get_css — SVG::Graph::Plot
- #get_css — SVG::Graph::Schedule
- #get_x_labels — SVG::Graph::Bar
- #get_x_labels — SVG::Graph::BarHorizontal
- #get_x_labels — SVG::Graph::Line
- #get_x_labels — SVG::Graph::Pie
- #get_x_labels — SVG::Graph::Plot
- #get_x_labels — SVG::Graph::Schedule
- #get_x_labels — SVG::Graph::TimeSeries
- #get_x_values — SVG::Graph::Plot
- #get_y_labels — SVG::Graph::Bar
- #get_y_labels — SVG::Graph::BarHorizontal
- #get_y_labels — SVG::Graph::Line
- #get_y_labels — SVG::Graph::Pie
- #get_y_labels — SVG::Graph::Plot
- #get_y_labels — SVG::Graph::Schedule
- #get_y_values — SVG::Graph::Plot
- #init_with — SVG::Graph::Graph
- #keys — SVG::Graph::Graph
- #keys — SVG::Graph::Pie
- #keys — SVG::Graph::Plot
- #make_datapoint_text — SVG::Graph::Graph
- #max_value — SVG::Graph::BarBase
- #max_value — SVG::Graph::Line
- #max_x_range — SVG::Graph::Plot
- #max_x_value= — SVG::Graph::TimeSeries
- #max_y_label_width_px — SVG::Graph::Graph
- #max_y_range — SVG::Graph::Plot
- #min_value — SVG::Graph::BarBase
- #min_value — SVG::Graph::Line
- #min_x_range — SVG::Graph::Plot
- #min_x_value= — SVG::Graph::Schedule
- #min_x_value= — SVG::Graph::TimeSeries
- #min_y_range — SVG::Graph::Plot
- #round — SVG::Graph::Pie
- #set_defaults — SVG::Graph::Bar
- #set_defaults — SVG::Graph::BarBase
- #set_defaults — SVG::Graph::BarHorizontal
- #set_defaults — SVG::Graph::Line
- #set_defaults — SVG::Graph::Pie
- #set_defaults — SVG::Graph::Plot
- #set_defaults — SVG::Graph::Schedule
- #set_defaults — SVG::Graph::TimeSeries
- #shape — DataPoint
- #sort — SVG::Graph::Graph
- #x_label_offset — SVG::Graph::Bar
- #x_label_offset — SVG::Graph::Graph
- #x_range — SVG::Graph::Plot
- #y_label_offset — SVG::Graph::BarHorizontal
- #y_label_offset — SVG::Graph::Graph
- #y_label_offset — SVG::Graph::Schedule
- #y_range — SVG::Graph::Plot